package com.yanzuoguang.dao;

/**
 * DAO层处理基本美剧
 *
 * @author 颜佐光
 */
public class DaoConst {
    /**
     * 创建操作
     */
    public static final int OPERATOR_TYPE_CREATE = 0;
    /**
     * 更新操作
     */
    public static final int OPERATOR_TYPE_UPDATE = 1;
    /**
     * 删除操作
     */
    public static final int OPERATOR_TYPE_REMOVE = 2;
    /**
     * 加载操作
     */
    public static final int OPERATOR_TYPE_LOAD = 3;
    /**
     * 创建
     */
    public static final String CREATE = "create";
    /**
     * 修改
     */
    public static final String UPDATE = "update";
    /**
     * 删除
     */
    public static final String REMOVE = "remove";
    /**
     * 加载
     */
    public static final String LOAD = "load";
    /**
     * 查询
     */
    public static final String QUERY = "query";

    /**
     * GROUP增加数据的SQL语句
     */
    public static final String GROUP_ADD = "GroupAdd";

    /**
     * GROUP查询数据的SQL语句
     */
    public static final String GROUP_QUERY = "GroupQuery";

    /**
     * 驼峰式命名
     */
    public static final int ROW_NAME_TYPE_CAMEL_CASE = 0;
    /**
     * 原字段
     */
    public static final int ROW_NAME_TYPE_NO_CHANGE = 1;
    /**
     * 主键自增为0
     */
    public static final String ZERO = "0";
    /**
     * 单位地址
     */
    public static final int CODE_UNIT = 2;
    /**
     * 表名代码片段
     */
    public static final String TABLE_CODE = "{TABLE}";
    /**
     * 字段代码片段
     */
    public static final String FIELD_CODE = "{FIELD}";
    /**
     * 值代码片段
     */
    public static final String VALUES_CODE = "{VALUES}";
    /**
     * WHERE条件代码片段
     */
    public static final String WHERE_CODE = "{WHERE}";

    /**
     * 插入SQL语句模板
     */
    public static final String INSERT_MODEL = "INSERT INTO {TABLE}({FIELD}) VALUES({VALUES})";
    /**
     * 更新SQL语句模板
     */
    public static final String UPDATE_MODEL = "UPDATE {TABLE} SET {FIELD} WHERE 1=1 {WHERE}";
    /**
     * 删除SQL语句模板
     */
    public static final String REMOVE_MODEL = "DELETE FROM {TABLE} WHERE 1=1 {WHERE}";
    /**
     * 加载SQL语句模板
     */
    public static final String LOAD_MODEL = "SELECT a.*{FIELD} FROM {TABLE} AS a {INNER} WHERE 1=1 {WHERE}";
    /**
     * 版本号字段名称
     */
    public static final String VERSON = "verson";
    /**
     * 删除字段名称
     */
    public static final String ISREMOVE = "isremove";
    /**
     * 删除字符串长度变量
     */
    public static final String ISREMOVE_CONTANS = "contans____isremove";
    /**
     * ID字段
     */
    public static final String ID_FIELD = "id";
    /**
     * 集合初始化大小
     */
    public static final int COLLECTION_INIT_SIZE = 15;
}
